// Copyright 2000, CERN, Geneva, Switzerland and SLAC, Stanford, California, U.S.A.
package org.freehep.jaco;

/** 
 * CPPProxy is the base class for all Java Proxy classes
 *
 * @author Tony Johnson
 * @version $Id: CPPProxy.java,v 1.1.1.1 2004/05/31 05:08:50 kuromaru Exp $
 */
public abstract class CPPProxy implements CPPUtil
{
   protected CPPProxy(int handle)
   {
      this.handle = handle;
   }
   public int getHandle()
   {
       return handle;
   }
   protected int handle;  // index into C++ hash table
}
